import type { _MTRDevice } from "./MTRDevice.js";
import type { _MTRGenericCluster } from "./MTRGenericCluster.js";
import type { _MTROvenCavityOperationalStateClusterOperationalCommandResponseParams } from "./MTROvenCavityOperationalStateClusterOperationalCommandResponseParams.js";
import type { _MTROvenCavityOperationalStateClusterStartParams } from "./MTROvenCavityOperationalStateClusterStartParams.js";
import type { _MTROvenCavityOperationalStateClusterStopParams } from "./MTROvenCavityOperationalStateClusterStopParams.js";
import type { _MTRReadParams } from "./MTRReadParams.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRClusterOvenCavityOperationalState extends _MTRGenericCluster {
    static alloc(): _MTRClusterOvenCavityOperationalState;
    static new(): _MTRClusterOvenCavityOperationalState;
    init(): _MTRClusterOvenCavityOperationalState;
    stopWithParams$expectedValues$expectedValueInterval$completion$(params: _MTROvenCavityOperationalStateClusterStopParams | null, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: ((data: _MTROvenCavityOperationalStateClusterOperationalCommandResponseParams, error: _NSError) => void) | null): void;
    stopWithExpectedValues$expectedValueInterval$completion$(expectedValues: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: ((data: _MTROvenCavityOperationalStateClusterOperationalCommandResponseParams, error: _NSError) => void) | null): void;
    startWithParams$expectedValues$expectedValueInterval$completion$(params: _MTROvenCavityOperationalStateClusterStartParams | null, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: ((data: _MTROvenCavityOperationalStateClusterOperationalCommandResponseParams, error: _NSError) => void) | null): void;
    startWithExpectedValues$expectedValueInterval$completion$(expectedValues: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: ((data: _MTROvenCavityOperationalStateClusterOperationalCommandResponseParams, error: _NSError) => void) | null): void;
    readAttributePhaseListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeCurrentPhaseWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeCountdownTimeWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeOperationalStateListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeOperationalStateWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeOperationalErrorWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeGeneratedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAcceptedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAttributeListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeFeatureMapWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeClusterRevisionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    /**
     * For all instance methods that take a completion (i.e. command invocations), the completion will be called on the provided queue.
     */
    initWithDevice$endpointID$queue$(device: _MTRDevice, endpointID: _NSNumber, queue: _NSObject): _MTRClusterOvenCavityOperationalState | null;
}
